undoc {base} | R Documentation

## Find Undocumented Objects

### Description

Finds the objects in a package which are undocumented, in the sense that they are visible to the user (or data objects provided by the package), but no documentation entry exists.

### Usage

    undoc(pkg, dir)

### Arguments

`pkg` | a character string naming an installed package
`dir` | a character string specifying the path to a package's root source directory. This must contain the subdirectory ``man`' with R documentation sources (in Rd format), and at least one of the ``R`' or ``data`' subdirectories with R code or data objects, respectively.

### Details

This function is useful for package maintainers mostly. In principle, all user level R objects should be documented; note however that the precise rules for documenting methods of generic functions are still under discussion.

### Value

A character vector containing the names of the undocumented objects.

### Examples

    undoc("eda")                   # Undocumented objects in `eda'

[Package Contents]